<#	
	.NOTES
	===========================================================================
	 Created with: 	SAPIEN Technologies, Inc., PowerShell Studio 2019 v5.6.161
	 Created on:   	4/3/2019 6:15 PM
	 Created by:   	max_t
	 Organization: 	SAPIEN Technologies, Inc.
	 Filename:   WriteProgressSample01.ps1  	
	===========================================================================
	.DESCRIPTION
		Sample function showcasing Write-Progress no bar while displaying all PDF 
		files found to console. 

."C:\Users\xxxx\Documents\SAPIEN\Scripts\WriteProgressSamples\WriteProgressSample01.ps1"

#>

Clear-Host;

## - Get all PDF's found in Documents user folder:
$MyPDFList = Get-ChildItem -Path $env:USERPROFILE\Documents\*.pdf -File -Recurse;

## - For each to go thru each of the files found:
for ($i = 0; $i -le $MyPDFList.Count; $i++)
{
	
	## - List all PDF fullName:
	$MyPDFList[$i].FullName;
	Write-Progress -Activity 'List All PDF Documents' -Status "File Count: [$i]";
	
	## - Slowing down process:
	Start-Sleep -Milliseconds 120;
};
